### Signal

# Gtk.TreeView::row-activated

#### Declaration

    void
    row_activated (
      GtkTreeView self,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      gpointer user_data
    )

#### Description [src]

The “row-activated” signal is emitted when the method `gtk_tree_view_row_activated()` is called, when the user double clicks a treeview row with the “activate-on-single-click” property set to `FALSE`, or when the user single clicks a row when the “activate-on-single-click” property set to `TRUE`. It is also emitted when a non-editable row is selected and one of the keys: Space, Shift+Space, Return or Enter is pressed.

For selection handling refer to the [tree widget conceptual overview][TreeWidget] as well as `GtkTreeSelection`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`
The signal can be emitted directly

#### Parameters

`path` | `GtkTreePath`
| the `GtkTreePath` for the activated row
| Ownership is not transferred to the callee
`column` | `GtkTreeViewColumn`
| the `GtkTreeViewColumn` in which the activation occurred
| Ownership is not transferred to the callee